Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class ServiceFactory

    java.lang.Object
      |
      +--javax.xml.rpc.ServiceFactory
            |
            +--org.apache.axis.client.ServiceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class ServiceFactory
extends ServiceFactory
implements javax.naming.spi.ObjectFactory

Helper class for obtaining Services from JNDI. !!! WORK IN PROGRESS

Author:
  Glen Daniels (gdaniels@macromedia.com)

Field Summary
`static java.lang.String` | `MAINTAIN_SESSION`
`static java.lang.String` | `SERVICE_CLASSNAME`
`static java.lang.String` | `SERVICE_LOCAL_PART`
`static java.lang.String` | `SERVICE_NAMESPACE`
`static java.lang.String` | `WSDL_LOCATION`

Fields inherited from class javax.xml.rpc.ServiceFactory
`SERVICEFACTORY_PROPERTY`

Constructor Summary
`ServiceFactory()`

Method Summary
`Service` | `createService(QName serviceName)` Create a Service instance.
`Service` | `createService(java.net.URL wsdlDocumentLocation, QName serviceName)` Create a Service instance.
`java.lang.Object` | `getObjectInstance(java.lang.Object refObject, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`
`static Service` | `getService(java.util.Map environment)` Obtain an AxisClient reference, using JNDI if possible, otherwise creating one using the standard Axis configuration pattern.
`static void` | `setThreadDefaultConfig(EngineConfiguration config)`

Methods inherited from class javax.xml.rpc.ServiceFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_CLASSNAME

    public static final java.lang.String SERVICE_CLASSNAME

### WSDL_LOCATION

    public static final java.lang.String WSDL_LOCATION

### MAINTAIN_SESSION

    public static final java.lang.String MAINTAIN_SESSION

### SERVICE_NAMESPACE

    public static final java.lang.String SERVICE_NAMESPACE

### SERVICE_LOCAL_PART

    public static final java.lang.String SERVICE_LOCAL_PART

Constructor Detail

### ServiceFactory

    public ServiceFactory()

Method Detail

### setThreadDefaultConfig

    public static void setThreadDefaultConfig(EngineConfiguration config)

### getService

    public static Service getService(java.util.Map environment)

  Obtain an AxisClient reference, using JNDI if possible, otherwise creating one using the standard Axis configuration pattern. If we end up creating one and do have JNDI access, bind it to the passed name so we find it next time.
  Parameters:
    `environment` -
  Returns:
    a service

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object refObject,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

### createService

    public Service createService(java.net.URL wsdlDocumentLocation,
                                 QName serviceName)
                          throws ServiceException

  Create a Service instance.
  Overrides:
    `createService` in class `ServiceFactory`
  Parameters:
    `wsdlDocumentLocation` - URL for the WSDL document location for the service
    `serviceName` - QName for the service.
  Returns:
    Service.
  Throws:
    `ServiceException` - If any error in creation of the specified service

### createService

    public Service createService(QName serviceName)
                          throws ServiceException

  Create a Service instance. Since the WSDL file is not provided here, the Service object returned is quite simpleminded. Likewise, the Call object that service.createCall will return will also be simpleminded. The caller must explicitly fill in all the info on the Call object (ie., endpoint address, etc.).
  Overrides:
    `createService` in class `ServiceFactory`
  Parameters:
    `serviceName` - QName for the service
  Returns:
    Service.
  Throws:
    `ServiceException` - If any error in creation of the specified service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.